<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaConcelhosXMLResponse StructType
 * @subpackage Structs
 */
class ListaConcelhosXMLResponse extends AbstractStructBase
{
    /**
     * The ListaConcelhosXMLResult
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ListaConcelhosXMLResult;
    /**
     * The mensagem
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $mensagem;
    /**
     * The sucesso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $sucesso;
    /**
     * Constructor method for ListaConcelhosXMLResponse
     * @uses ListaConcelhosXMLResponse::setListaConcelhosXMLResult()
     * @uses ListaConcelhosXMLResponse::setMensagem()
     * @uses ListaConcelhosXMLResponse::setSucesso()
     * @param string $listaConcelhosXMLResult
     * @param string $mensagem
     * @param bool $sucesso
     */
    public function __construct($listaConcelhosXMLResult = null, $mensagem = null, $sucesso = null)
    {
        $this
            ->setListaConcelhosXMLResult($listaConcelhosXMLResult)
            ->setMensagem($mensagem)
            ->setSucesso($sucesso);
    }
    /**
     * Get ListaConcelhosXMLResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getListaConcelhosXMLResult()
    {
        return isset($this->ListaConcelhosXMLResult) ? $this->ListaConcelhosXMLResult : null;
    }
    /**
     * Set ListaConcelhosXMLResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $listaConcelhosXMLResult
     * @return \StructType\ListaConcelhosXMLResponse
     */
    public function setListaConcelhosXMLResult($listaConcelhosXMLResult = null)
    {
        // validation for constraint: string
        if (!is_null($listaConcelhosXMLResult) && !is_string($listaConcelhosXMLResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($listaConcelhosXMLResult)), __LINE__);
        }
        if (is_null($listaConcelhosXMLResult) || (is_array($listaConcelhosXMLResult) && empty($listaConcelhosXMLResult))) {
            unset($this->ListaConcelhosXMLResult);
        } else {
            $this->ListaConcelhosXMLResult = $listaConcelhosXMLResult;
        }
        return $this;
    }
    /**
     * Get mensagem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMensagem()
    {
        return isset($this->mensagem) ? $this->mensagem : null;
    }
    /**
     * Set mensagem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mensagem
     * @return \StructType\ListaConcelhosXMLResponse
     */
    public function setMensagem($mensagem = null)
    {
        // validation for constraint: string
        if (!is_null($mensagem) && !is_string($mensagem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mensagem)), __LINE__);
        }
        if (is_null($mensagem) || (is_array($mensagem) && empty($mensagem))) {
            unset($this->mensagem);
        } else {
            $this->mensagem = $mensagem;
        }
        return $this;
    }
    /**
     * Get sucesso value
     * @return bool|null
     */
    public function getSucesso()
    {
        return $this->sucesso;
    }
    /**
     * Set sucesso value
     * @param bool $sucesso
     * @return \StructType\ListaConcelhosXMLResponse
     */
    public function setSucesso($sucesso = null)
    {
        // validation for constraint: boolean
        if (!is_null($sucesso) && !is_bool($sucesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sucesso)), __LINE__);
        }
        $this->sucesso = $sucesso;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ListaConcelhosXMLResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
